<?php

//content
$this->start_controls_section(
    'layout_five_content',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_five'
        ]
    ]
);

$this->add_control(
    'layout_five_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h2', 'layout_five');

$this->add_control(
    'layout_five_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h5', 'layout_five');


$this->add_control(
    'layout_five_highlighted_text',
    [
        'label' => __('Highlighted Text', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Highlighted Text', 'solox-addon'),
        'default' => __('Default highlighted Text', 'solox-addon'),
    ]
);

$this->add_control(
    'layout_five_summary',
    [
        'label' => __('Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Text', 'solox-addon'),
        'default' => __('Default Summary Text', 'solox-addon'),
    ]
);

$layout_five_feature_list = new \Elementor\Repeater();

$layout_five_feature_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
        'label_block' => true
    ]
);

$layout_five_feature_list->add_control(
    'content',
    [
        'label' => __('Content', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Content', 'solox-addon'),
        'default' => __('Default Content', 'solox-addon'),
        'label_block' => true
    ]
);

$layout_five_feature_list->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-growth',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'layout_five_feature_list',
    [
        'label' => __('Features Lists', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $layout_five_feature_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);


$this->end_controls_section();

$this->start_controls_section(
    'layout_five_section_image',
    [
        'label' => __('Images', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_five'
        ]
    ]
);

$this->add_control(
    'layout_five_image_one',
    [
        'label' => __('Image One', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$this->add_control(
    'layout_five_image_caption_one',
    [
        'label' => __('Image One Caption', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Caption', 'solox-addon'),
        'default' => __('Default Caption', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'layout_five_image_two',
    [
        'label' => __('Image Two', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$this->add_control(
    'layout_five_image_caption_two',
    [
        'label' => __('Image Two Caption', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Caption', 'solox-addon'),
        'default' => __('Default Caption', 'solox-addon'),
        'label_block' => true
    ]
);


$this->end_controls_section();
