<?php

//content
$this->start_controls_section(
    'layout_three_content',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_three'
        ]
    ]
);


$this->add_control(
    'layout_three_title_image',
    [
        'label' => __('Title Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_three_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h3', 'layout_three');

$this->add_control(
    'layout_three_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h6', 'layout_three');


$this->add_control(
    'layout_three_summary',
    [
        'label' => __('Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Text', 'solox-addon'),
        'default' => __('Default Summary Text', 'solox-addon'),
    ]
);


$layout_three_content = new \Elementor\Repeater();

$layout_three_content->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
        'label_block' => true
    ]
);


$layout_three_content->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-stones',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'layout_three_content_list',
    [
        'label' => __('Content List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $layout_three_content->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->add_control(
    'about_three_summary_hr',
    [
        'type' => \Elementor\Controls_Manager::DIVIDER,
    ]
);

$this->add_control(
    'layout_three_author_name',
    [
        'label' => __('Author Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Author Image', 'solox-addon'),
        'default' => __('ALEESHA BROWN', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'layout_three_author_image',
    [
        'label' => __('Author Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_three_author_signature',
    [
        'label' => __('Author Signature', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'about_three_author_hr',
    [
        'type' => \Elementor\Controls_Manager::DIVIDER,
    ]
);

$this->add_control(
    'layout_three_icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-design-thinking',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'layout_three_info_text',
    [
        'label' => __('Info Text', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Info Text', 'solox-addon'),
        'default' => __('Default Info Text', 'solox-addon'),
    ]
);

$this->add_control(
    'layout_three_info_title',
    [
        'label' => __('Info Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Info Title', 'solox-addon'),
        'default' => __('Default Info Title', 'solox-addon'),
    ]
);

$layout_three_info_list = new \Elementor\Repeater();

$layout_three_info_list->add_control(
    'date',
    [
        'label' => __('Date', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add date', 'solox-addon'),
        'default' => __('Default Date', 'solox-addon'),
        'label_block' => true
    ]
);

$layout_three_info_list->add_control(
    'time',
    [
        'label' => __('Time', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add time', 'solox-addon'),
        'default' => __('Default Time', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'layout_three_info_list',
    [
        'label' => __('Check Lists', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $layout_three_info_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ date }}}',
    ]
);

$this->end_controls_section();

$this->start_controls_section(
    'layout_three_section_image',
    [
        'label' => __('Images', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_three'
        ]
    ]
);

$this->add_control(
    'layout_three_image_one',
    [
        'label' => __('Image One', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$this->add_control(
    'layout_three_image_icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'value' => 'icon-idea',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'layout_three_shape_one',
    [
        'label' => __('Background Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_three_shape_two',
    [
        'label' => __('Right Info Background Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_three_shape_three',
    [
        'label' => __('Right Flower Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->end_controls_section();
