<?php

//content
$this->start_controls_section(
    'content_one',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);


$award_list = new \Elementor\Repeater();

$award_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Best Counseling', 'solox-addon'),
        'label_block' => true
    ]
);

solox_elementor_heading_option($award_list, 'Title', 'h3', 'layout_one');

$award_list->add_control(
    'year',
    [
        'label' => __('Year', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add year text', 'solox-addon'),
        'default' => __('2012', 'solox-addon'),
        'label_block' => true
    ]
);

$award_list->add_control(
    'content',
    [
        'label' => __('Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add Summary', 'solox-addon'),
        'default' => __('Default Summary', 'solox-addon'),
    ]
);

$award_list->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-wreath',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'award_list',
    [
        'label' => __('Award Lists', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $award_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->add_control(
    'layout_one_background_image',
    [
        'label' => __('Background Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_one',
    [
        'label' => __('Shape One', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_two',
    [
        'label' => __('Shape Two', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);


$this->end_controls_section();
