<?php

//content
$this->start_controls_section(
    'content_one',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h2', 'layout_one');

$this->add_control(
    'sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'span', 'layout_one');

$benefit_list = new \Elementor\Repeater();

$benefit_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
        'label_block' => true
    ]
);

solox_elementor_heading_option($benefit_list, 'Title', 'h3', 'layout_one');

$benefit_list->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => true,
    ]
);

$benefit_list->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-psychologist',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'benefit_list',
    [
        'label' => __('Benefit Lists', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $benefit_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->end_controls_section();
