<?php

//content
$this->start_controls_section(
    'content_one',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'layout_one_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => __('Awesome Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h3', 'layout_one');

$this->add_control(
    'layout_one_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => __('Awesome Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h6', 'layout_one');

$this->add_control(
    'layout_one_highlight_text',
    [
        'label' => __('Section Highlight Text', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => __('Awesome Highlight Text', 'solox-addon'),
    ]
);

$this->add_control(
    'layout_one_sec_summary',
    [
        'label' => __('Section Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => __('Awesome Summary', 'solox-addon'),
    ]
);


$choose_list = new \Elementor\Repeater();

$choose_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
        'label_block' => true
    ]
);

solox_elementor_heading_option($choose_list, 'Title', 'h4', 'layout_one');

$choose_list->add_control(
    'subtitle',
    [
        'label' => __('SubTitle', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
        'label_block' => true
    ]
);

$choose_list->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-tick',
            'library' => 'custom-icon',
        ],
    ]
);

$choose_list->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => true,
        ],
        'show_label' => false,
    ]
);

$this->add_control(
    'choose_list',
    [
        'label' => __('Choose List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $choose_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);


$this->add_control(
    'layout_one_front_image',
    [
        'label' => __('Front Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_image',
    [
        'label' => __('Shape Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
    ]
);

$this->add_control(
    'layout_one_title_img',
    [
        'label' => __('Title Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
    ]
);

$this->end_controls_section();
