<?php

$this->start_controls_section(
    'layout_one_contact_form',
    [
        'label' => __('Contact Form', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'layout_one_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h3', 'layout_one');

$this->add_control(
    'layout_one_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h6', 'layout_one');

$this->add_control(
    'layout_one_sec_summary',
    [
        'label' => __('Section Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Summary', 'solox-addon'),
        'default' => __('Default Summary', 'solox-addon'),
    ]
);

$layout_one_content_list = new \Elementor\Repeater();

$layout_one_content_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'rows' => '2',
        'placeholder' => __('Add Title', 'solox-addon'),
        'default' => __('Have question?', 'solox-addon'),
        'label_block' => true
    ]
);

$layout_one_content_list->add_control(
    'content',
    [
        'label' => __('Content', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add Content', 'solox-addon'),
        'default' => __('Free <a href="tel:230009850">+23 (000)-9850</a>', 'solox-addon'),
    ]
);

$layout_one_content_list->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-phone-call',
            'library' => 'font-awesome',
        ],
    ]
);


$this->add_control(
    'layout_one_content_list',
    [
        'label' => __('Contact Info', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $layout_one_content_list->get_controls(),
        'prevent_empty' => false,
    ]
);

$this->add_control(
    'layout_one_form_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Form Title', 'h3', 'layout_one');

$this->add_control(
    'layout_one_form_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Form Sub Title', 'h6', 'layout_one');

$this->add_control(
    'layout_one_select_wpcf7_form',
    [
        'label'       => esc_html__('Select your contact form 7', 'solox-addon'),
        'label_block' => true,
        'type'        => \Elementor\Controls_Manager::SELECT,
        'options'     => solox_post_query('wpcf7_contact_form'),
    ]
);

$this->add_control(
    'layout_one_title_image',
    [
        'label' => __('Title Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_one',
    [
        'label' => __('Background Shape One', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_two',
    [
        'label' => __('Background Shape Two', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'layout_one_shape_three',
    [
        'label' => __('Background Shape Three', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->end_controls_section();
