<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => ['layout_one', 'layout_two']
        ]
    ]
);

$gift_list = new \Elementor\Repeater();

$gift_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($gift_list, 'Gift Title', 'h3', 'layout_one');

$gift_list->add_control(
    'price',
    [
        'label' => __('Price', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '1',
        'placeholder' => __('Add price', 'solox-addon'),
        'default' => __('Price', 'solox-addon'),
    ]
);


$gift_list->add_control(
    'promo_title',
    [
        'label' => __('Promo Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '1',
        'placeholder' => __('Add promo title', 'solox-addon'),
        'default' => __('Promo Title', 'solox-addon'),
    ]
);


$gift_list->add_control(
    'promo_code',
    [
        'label' => __('Promo Code', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '1',
        'placeholder' => __('Add promo code', 'solox-addon'),
        'default' => __('Promo Code', 'solox-addon'),
    ]
);

$gift_list->add_control(
    'button_label',
    [
        'label' => __('Button Label', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add button label', 'solox-addon'),
        'default' => __('Button Label', 'solox-addon'),
    ]
);

$gift_list->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => true,
    ]
);

$gift_list->add_control(
    'bac_image',
    [
        'label' => __('Background Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ]
    ]
);

$gift_list->add_control(
    'shape',
    [
        'label' => __('Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$gift_list->add_control(
    'title_image',
    [
        'label' => __('Title Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->add_control(
    'gift_list',
    [
        'label' => __('Gift List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $gift_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->end_controls_section();
