<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('History Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'sec_icon',
    [
        'label' => __('Section Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'fa fa-star',
            'library' => 'font-awesome',
        ],
    ]
);

$this->add_control(
    'sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h2', 'layout_one');

$this->add_control(
    'sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'span', 'layout_one');


$history_one = new \Elementor\Repeater();

$history_one->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Default Title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($history_one, 'History Title', 'h4', 'layout_one');

$history_one->add_control(
    'summary',
    [
        'label' => __('Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Default Summary', 'solox-addon'),
        'default' => __('Default Summary', 'solox-addon'),
    ]
);

$history_one->add_control(
    'check_list',
    [
        'label' => __('Check List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::CODE,
        'label_block' => true,
        'default' => wp_kses('<li> <div class="icon"> <i class="fa fa-check"></i> </div> <div class="text"> <p>Pellentes gravida lectus.</p> </div> </li> <li> <div class="icon"> <i class="fa fa-check"></i> </div> <div class="text"> <p>Finibus aliquet ultrices.</p> </div> </li>', 'solox_allowed_tags')
    ]
);

$history_one->add_control(
    'date',
    [
        'label' => __('Date', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '1',
        'placeholder' => __('Date', 'solox-addon'),
        'default' => __('28 January 2023', 'solox-addon'),
    ]
);

$history_one->add_control(
    'image',
    [
        'label' => __('Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$history_one->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => true,
    ]
);

$this->add_control(
    'history_one_list',
    [
        'label' => __('History List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $history_one->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->add_control(
    'shape_one',
    [
        'label' => __('Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,

    ]
);

$this->end_controls_section();
