<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'prev_text',
    [
        'label' => __('Previous Text', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Previous Text', 'solox-addon'),
        'default' => __('Previous project', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'prev_project_title',
    [
        'label' => __('Previous Project Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Previous Project Title', 'solox-addon'),
        'default' => __('Filmor Experience', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'prev_icon',
    [
        'label' => __('Previous Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-left-arrow',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'prev_url',
    [
        'label' => __('Prev Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => true,
        'default' => [
            'url' => '#',
            'is_external' => true,
            'nofollow' => true,
        ],
        'show_label' => false,
    ]
);

$this->add_control(
    'next_text',
    [
        'label' => __('Next Text', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Next Text', 'solox-addon'),
        'default' => __('Next Project', 'solox-addon'),
        'label_block' => true
    ]
);


$this->add_control(
    'next_project_title',
    [
        'label' => __('Next Project Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'placeholder' => __('Add Next Project Title', 'solox-addon'),
        'default' => __('Filmor Experience', 'solox-addon'),
        'label_block' => true
    ]
);

$this->add_control(
    'next_icon',
    [
        'label' => __('Next Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-right-arrow',
            'library' => 'custom-icon',
        ],
    ]
);

$this->add_control(
    'next_url',
    [
        'label' => __('Next Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => true,
        'default' => [
            'url' => '#',
            'is_external' => true,
            'nofollow' => true,
        ],
        'show_label' => false,
    ]
);

$this->end_controls_section();
