<?php

$this->start_controls_section(
    'content_section',
    [
        'label' => __('Gallery Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_one'
        ]
    ]
);

$this->add_control(
    'sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h2', 'layout_one');

$this->add_control(
    'sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h5', 'layout_one');

$portfolio_one = new \Elementor\Repeater();

$portfolio_one->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Default Title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($portfolio_one, 'Portfolio Title', 'h3', 'layout_one');

$portfolio_one->add_control(
    'tag_line',
    [
        'label' => __('Tag Line', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Default Tag Line', 'solox-addon'),
        'default' => __('Default Tag Line', 'solox-addon'),
    ]
);

$portfolio_one->add_control(
    'image',
    [
        'label' => __('Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$portfolio_one->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => true,
    ]
);

$this->add_control(
    'portfolio_one_list',
    [
        'label' => __('Portfolio List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $portfolio_one->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->end_controls_section();
