<?php

$this->start_controls_section(
    'content_section_two',
    [
        'label' => __('Pricing Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_two'
        ]
    ]
);

$this->add_control(
    'layout_two_title_image',
    [
        'label' => __('Title Image', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
    ]
);

$this->add_control(
    'layout_two_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h3', 'layout_two');

$this->add_control(
    'layout_two_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'h6', 'layout_two');

$this->add_control(
    'pricing_layout_two_pricing_divider',
    [
        'type' => \Elementor\Controls_Manager::DIVIDER,
    ]
);


$pricing_layout_two = new \Elementor\Repeater();

$pricing_layout_two->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'default' => __('Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($pricing_layout_two, 'Price Title', 'h3', 'layout_two');

$pricing_layout_two->add_control(
    'subtitle',
    [
        'label' => __('Subtitle', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'default' => __('Subtitle', 'solox-addon'),
    ]
);

$pricing_layout_two->add_control(
    'price',
    [
        'label' => __('Price', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'label_block' => true,
        'default' => __('$330', 'solox-addon'),
    ]
);

$pricing_layout_two->add_control(
    'url',
    [
        'label' => __('Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => true,
    ]
);

$pricing_layout_two->add_control(
    'icon',
    [
        'label' => __('Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'icon-fire-control',
            'library' => 'custom-icon',
        ],
    ]
);

$pricing_layout_two->add_control(
    'shape',
    [
        'label' => __('Shape', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
    ]
);

$this->add_control(
    'pricing_layout_two',
    [
        'label' => __('Pricing List', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $pricing_layout_two->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);


$this->end_controls_section();
