<?php

//content
$this->start_controls_section(
    'layout_three_content',
    [
        'label' => __('Content', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_three'
        ]
    ]
);


$this->add_control(
    'layout_three_sec_title',
    [
        'label' => __('Section Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Default Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Title', 'h2', 'layout_three');

$this->add_control(
    'layout_three_sec_sub_title',
    [
        'label' => __('Section Sub Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add sub title', 'solox-addon'),
        'default' => __('Default Sub Title', 'solox-addon'),
    ]
);

solox_elementor_heading_option($this, 'Section Sub Title', 'span', 'layout_three');


$this->add_control(
    'layout_three_summary',
    [
        'label' => __('Summary', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'placeholder' => __('Add Text', 'solox-addon'),
        'default' => __('Default Summary Text', 'solox-addon'),
    ]
);


$this->add_control(
    'layout_three_button_label',
    [
        'label' => __('Button Label', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'default' => __('Make an Appointment', 'solox-addon'),
        'label_block' => true,
    ]
);


$this->add_control(
    'layout_three_button_url',
    [
        'label' => __('Button Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => __('#', 'solox-addon'),
        'show_external' => false,
        'default' => [
            'url' => '#',
            'is_external' => false,
            'nofollow' => false,
        ],
        'show_label' => false,
    ]
);

$this->add_control(
    'layout_three_video_url',
    [
        'label' => __('Video Url', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'default' => __('#', 'solox-addon'),
        'label_block' => true,
    ]
);


$layout_three_check_list = new \Elementor\Repeater();

$layout_three_check_list->add_control(
    'title',
    [
        'label' => __('Title', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'rows' => '2',
        'placeholder' => __('Add title', 'solox-addon'),
        'default' => __('Family Problems', 'solox-addon'),
    ]
);

$layout_three_check_list->add_control(
    'icon',
    [
        'label' => __('Check Icon', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'fa fa-check',
            'library' => 'font-awesome',
        ],
    ]
);

$this->add_control(
    'layout_three_check_list',
    [
        'label' => __('Check Lists', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $layout_three_check_list->get_controls(),
        'prevent_empty' => false,
        'title_field' => '{{{ title }}}',
    ]
);

$this->end_controls_section();

$this->start_controls_section(
    'layout_three_section_image',
    [
        'label' => __('Images', 'solox-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_three'
        ]
    ]
);

$this->add_control(
    'layout_three_image_one',
    [
        'label' => __('Image One', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$this->add_control(
    'layout_three_image_two',
    [
        'label' => __('Image Two', 'solox-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [],
    ]
);

$this->end_controls_section();
