<?php if ('layout_four' == $settings['layout_type']) : ?>

    <!-- About Four Start -->
    <section class="about-three">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 wow fadeInLeft" data-wow-delay="300ms">
                    <div class="about-three__thumb">
                        <?php solox_elementor_rendered_image($settings, 'layout_four_image_one'); ?>
                        <div class="about-three__thumb__flower">
                            <?php solox_elementor_rendered_image($settings, 'layout_four_shape_one'); ?>
                        </div>
                        <div class="about-three__thumb__border">
                            <?php solox_elementor_rendered_image($settings, 'layout_four_shape_two'); ?>
                        </div>
                        <div class="about-three__thumb__round"></div>
                    </div>
                </div>
                <div class="col-xl-4 col-md-6 wow fadeInUp" data-wow-delay="300ms">
                    <div class="about-three__con-middle">
                        <?php
                        if (!empty($settings['layout_four_sec_title'])) :
                            $this->add_inline_editing_attributes('layout_four_sec_title', 'none');
                            solox_elementor_rendered_content($this, 'layout_four_sec_title', 'about-three__con-middle__title', $settings['section_title_tag_layout_four']);
                        endif;

                        if (!empty($settings['layout_four_sec_sub_title'])) :
                            $this->add_inline_editing_attributes('layout_four_sec_sub_title', 'none');
                            solox_elementor_rendered_content($this, 'layout_four_sec_sub_title', 'about-three__con-middle__text-one', 'p');
                        endif;

                        if (!empty($settings['layout_four_summary'])) :
                            $this->add_inline_editing_attributes('layout_four_summary', 'none');
                            solox_elementor_rendered_content($this, 'layout_four_summary', 'about-three__con-middle__text-two', 'p');
                        endif;
                        ?>
                        <?php if (!empty($settings['layout_four_button_label'])) : ?>
                            <a href="<?php echo esc_url($settings['layout_four_button_url']['url']); ?>" class="solox-btn solox-btn--base">
                                <span><?php echo esc_html($settings['layout_four_button_label']); ?></span>
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-xl-3 col-md-6 wow fadeInRight" data-wow-delay="300ms">
                    <div class="about-three__con-right">
                        <?php
                        if (!empty($settings['layout_four_checklist_title'])) :
                            $this->add_inline_editing_attributes('layout_four_checklist_title', 'none');
                            solox_elementor_rendered_content($this, 'layout_four_checklist_title', 'about-three__con-right__title', 'h4');
                        endif;
                        ?>
                        <ul class="about-three__list">
                            <?php foreach ($settings['layout_four_check_list'] as $index => $item) : ?>
                                <li>
                                    <?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'span'); ?><?php echo esc_html($item['title']); ?>
                                </li>
                            <?php endforeach; ?>
                        </ul>
                        <?php if (!empty($settings['layout_four_author_name'] || $settings['layout_four_author_image']['url'])) : ?>
                            <div class="about-three__author">
                                <div class="about-three__author__thumb">
                                    <?php solox_elementor_rendered_image($settings, 'layout_four_author_image'); ?>
                                </div>
                                <div class="about-three__author__meta">
                                    <?php solox_elementor_rendered_image($settings, 'layout_four_author_signature'); ?>
                                    <?php echo wp_kses($settings['layout_four_author_name'], 'solox_allowed_tags'); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div><!-- /.col-lg-4 -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.about-three -->
    <!-- About Four End -->
<?php endif; ?>