<?php if ('layout_one' == $settings['layout_type']) : ?>

	<!-- Blog Start -->
	<section class="blog-one blog-one--home">
		<div class="container">
			<?php if (!empty($settings['sec_sub_title'] || $settings['sec_title'])) : ?>
				<div class="sec-title">
					<?php solox_elementor_rendered_image($settings, 'title_img', 'sec-title__img'); ?>
					<?php
					if (!empty($settings['sec_sub_title'])) :
						$this->add_inline_editing_attributes('sec_sub_title', 'none');
						solox_elementor_rendered_content($this, 'sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_one']);
					endif;

					if (!empty($settings['sec_title'])) :
						$this->add_inline_editing_attributes('sec_title', 'none');
						solox_elementor_rendered_content($this, 'sec_title', 'sec-title__title', $settings['section_title_tag_layout_one']);
					endif;
					?>
				</div><!-- /.sec-title -->
			<?php endif; ?>
			<div class="blog-one__carousel solox-owl__carousel solox-owl__carousel--with-shadow solox-owl__carousel--basic-nav owl-carousel owl-theme" data-owl-options='<?php echo esc_attr(solox_get_owl_options($settings)); ?>'>
				<?php
				$blog_post_one_query_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				if (!empty($settings['select_category'])) :
					$blog_post_one_query_args = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'ignore_sticky_posts' => true,
						'orderby' => 'date',
						'order'   => $settings['query_order'],
						'posts_per_page' => $settings['post_count']['size'],
						'paged'          => $blog_post_one_query_paged,
						'tax_query' => array(
							array(
								'taxonomy' => 'category',
								'field' => 'slug',
								'terms' => $settings['select_category']
							)
						)
					);
				else :
					$blog_post_one_query_args = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'ignore_sticky_posts' => true,
						'orderby' => 'date',
						'paged'          => $blog_post_one_query_paged,
						'order'   => $settings['query_order'],
						'posts_per_page' => $settings['post_count']['size']
					);

				endif;
				$blog_post_one_query = new \WP_Query($blog_post_one_query_args);
				$i = 1;

				while ($blog_post_one_query->have_posts()) :
					$blog_post_one_query->the_post();

					$comments_number = get_comments_number();
					$user = wp_get_current_user();
					$author_id = get_the_author_meta('ID');
					$author_img = get_avatar_url($author_id, array("size" => 31));
				?>
					<div class="item">
						<div class="blog-card wow fadeInUp" data-wow-duration='1500ms' data-wow-delay='00ms'>
							<div class="blog-card__image">
								<?php the_post_thumbnail('solox_blog_370X290'); ?>
								<?php the_post_thumbnail('solox_blog_370X290'); ?>
								<a href="<?php the_permalink(); ?>" class="blog-card__image__link">
									<span class="sr-only"><?php the_title(); ?></span>
									<!-- /.sr-only -->
								</a>
								<div class="blog-card__date"><span><?php echo get_the_date('d'); ?></span><?php echo get_the_date('M'); ?></div><!-- /.blog-card__date -->
							</div><!-- /.blog-card__image -->
							<div class="blog-card__content">
								<ul class="list-unstyled blog-card__meta">
									<li>
										<a href="<?php the_permalink(); ?>">
											<img src="<?php echo esc_url($author_img); ?>" alt="<?php echo bloginfo('name') ?>">
											<?php echo esc_html("by ", 'solox'); ?><?php echo get_the_author(); ?>
										</a>
									</li>
									<li>
										<?php solox_comment_count(); ?>
									</li>
								</ul><!-- /.list-unstyled blog-card__meta -->
								<h3 class="blog-card__title">
									<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
								</h3><!-- /.blog-card__title -->
								<a href="<?php the_permalink(); ?>" class="blog-card__link"><?php echo esc_html($settings['read_more']); ?>
									<?php \Elementor\Icons_Manager::render_icon($settings['blog_icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
								</a><!-- /.blog-card__link -->
							</div><!-- /.blog-card__content -->
						</div><!-- /.blog-card -->
					</div><!-- /.item -->
				<?php $i++;
				endwhile; ?>
			</div><!-- /.row -->
		</div><!-- /.container -->
	</section><!-- /.blog-one blog-one--page -->

	<!-- Blog End -->


<?php endif; ?>