<?php if ('layout_three' == $settings['layout_type']) : ?>
    <!-- Contact Start Three -->
    <section class="contact-one contact-one--home-two">
        <div class="container">
            <div class="contact-one__inner">
                <div class="row">
                    <div class="col-xl-7">
                        <div class="contact-one__content">
                            <?php solox_elementor_rendered_image($settings, 'layout_three_shape_one', 'contact-one__content__shape-1'); ?>
                            <?php solox_elementor_rendered_image($settings, 'layout_three_shape_two', 'contact-one__content__shape-2'); ?>
                            <div class="sec-title">
                                <?php solox_elementor_rendered_image($settings, 'layout_three_title_image', 'sec-title__img'); ?>
                                <?php
                                if (!empty($settings['layout_three_sec_sub_title'])) :
                                    $this->add_inline_editing_attributes('layout_three_sec_sub_title', 'none');
                                    solox_elementor_rendered_content($this, 'layout_three_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_three']);
                                endif;

                                if (!empty($settings['layout_three_sec_title'])) :
                                    $this->add_inline_editing_attributes('layout_three_sec_title', 'none');
                                    solox_elementor_rendered_content($this, 'layout_three_sec_title', 'sec-title__title', $settings['section_title_tag_layout_three']);
                                endif;
                                ?>
                            </div><!-- /.sec-title -->
                            <?php
                            if (!empty($settings['layout_three_sec_summary'])) :
                                $this->add_inline_editing_attributes('layout_three_sec_summary', 'none');
                                solox_elementor_rendered_content($this, 'layout_three_sec_summary', 'contact-one__text', 'p');
                            endif;
                            ?>
                            <ul class="list-unstyled contact-one__info ml-0">
                                <?php
                                foreach ($settings['layout_three_content_list'] as $index => $item) :
                                ?>
                                    <li class="contact-one__info__item">
                                        <div class="contact-one__info__icon">
                                            <?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'span'); ?>
                                        </div><!-- /.contact-one__info__icon -->
                                        <div class="contact-one__info__content">
                                            <p class="contact-one__info__text">
                                                <?php echo wp_kses($item['title'], 'solox_allowed_tags'); ?>
                                            </p>
                                            <!-- /.contact-one__info__text -->
                                            <h4 class="contact-one__info__title">
                                                <?php echo wp_kses($item['content'], 'solox_allowed_tags'); ?>
                                            </h4><!-- /.contact-one__info__title -->
                                        </div><!-- /.contact-one__info__content -->
                                    </li>
                                <?php endforeach; ?>
                            </ul><!-- /.list-unstyled -->
                        </div><!-- /.contact-one__content -->
                    </div><!-- /.col-xl-7 -->
                    <div class="col-xl-5">
                        <div class="contact-one__form contact-form-validated form-one background-base wow fadeInUp" data-wow-duration="1500ms">
                            <div class="contact-one__form__top">
                                <div class="sec-title">
                                    <?php
                                    if (!empty($settings['layout_three_form_sub_title'])) :
                                        $this->add_inline_editing_attributes('layout_three_form_sub_title', 'none');
                                        solox_elementor_rendered_content($this, 'layout_three_form_sub_title', 'sec-title__tagline', $settings['form_sub_title_tag_layout_three']);
                                    endif;

                                    if (!empty($settings['layout_three_form_title'])) :
                                        $this->add_inline_editing_attributes('layout_three_form_title', 'none');
                                        solox_elementor_rendered_content($this, 'layout_three_form_title', 'sec-title__title', $settings['form_title_tag_layout_three']);
                                    endif;
                                    ?>
                                </div><!-- /.sec-title -->
                            </div><!-- /.contact-one__form__top -->
                            <?php echo str_replace("<br />", "", trim(do_shortcode('[contact-form-7 id="' . $settings['layout_three_select_wpcf7_form'] . '" ]'))); ?>
                        </div>
                    </div><!-- /.col-xl-5 -->
                </div><!-- /.row -->
                <div class="contact-one__inner-shape">
                    <?php solox_elementor_rendered_image($settings, 'layout_three_shape_three'); ?>
                </div><!-- /.contact-one__shape -->
            </div><!-- /.contact-one__inner -->
        </div><!-- /.container -->
    </section><!-- /.contact-one -->
    <!-- Contact Start Three -->
<?php endif; ?>