<?php if ('layout_two' == $settings['layout_type']) : ?>

    <section class="faq-page faq-one" style="background-image: url(<?php echo esc_url($settings['layout_two_bg_image']['url']); ?>);">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="faq-one__content">
                        <div class="sec-title">
                            <?php solox_elementor_rendered_image($settings, 'layout_two_title_image', 'sec-title__img'); ?>
                            <?php
                            if (!empty($settings['layout_two_sec_sub_title'])) :
                                $this->add_inline_editing_attributes('layout_two_sec_sub_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_two_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_two']);
                            endif;

                            if (!empty($settings['layout_two_sec_title'])) :
                                $this->add_inline_editing_attributes('layout_two_sec_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_two_sec_title', 'sec-title__title', $settings['section_title_tag_layout_two']);
                            endif;
                            ?>
                        </div><!-- /.sec-title -->
                        <!-- section-title -->
                        <div class="faq-one__content__author">
                            <div class="faq-one__content__author__thumb">
                                <?php solox_elementor_rendered_image($settings, 'layout_two_author_image'); ?>
                            </div>
                            <?php
                            if (!empty($settings['layout_two_author_title'])) :
                                $this->add_inline_editing_attributes('layout_two_author_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_two_author_title', 'faq-one__content__author__title', $settings['author_title_tag_layout_two']);
                            endif;

                            if (!empty($settings['layout_two_author_content'])) :
                                $this->add_inline_editing_attributes('layout_two_author_content', 'none');
                                solox_elementor_rendered_content($this, 'layout_two_author_content', 'faq-one__content__author__text', 'p');
                            endif;
                            ?>
                        </div>
                    </div><!-- /.faq-page__contact -->
                </div><!-- /.col-lg-4 col-xl-3 -->
                <div class="col-lg-6">
                    <div class="faq-page__accordion solox-accrodion" data-grp-name="solox-accrodion">
                        <?php
                        foreach ($settings['layout_two_faq_lists'] as $item) :
                        ?>
                            <div class="accrodion <?php echo esc_attr(('yes' == $item['active_status'] ? 'active' : '')); ?>">
                                <div class="accrodion-title">
                                    <<?php echo esc_attr($item['question_title_tag_layout_two']); ?>><?php echo wp_kses($item['question'], 'solox_allowed_tags'); ?>
                                        <?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'span'); ?>
                                    </<?php echo esc_attr($item['question_title_tag_layout_two']); ?>>
                                </div><!-- /.accordian-title -->
                                <div class="accrodion-content">
                                    <div class="inner">
                                        <p>
                                            <?php echo wp_kses($item['answer'], 'solox_allowed_tags'); ?>
                                        </p>
                                    </div><!-- /.accordian-content -->
                                </div>
                            </div><!-- /.accordian-item -->
                        <?php endforeach; ?>
                    </div>
                </div><!-- /.col-lg-8 col-xl-9 -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.faq-page-accordion -->
<?php endif; ?>