<?php if ('layout_one' == $settings['layout_type']) : ?>
    <section class="funfact-two" style="background-image: url(<?php echo esc_url($settings['layout_one_shape_one']['url']); ?>);">
        <div class="funfact-two__shape">
            <?php solox_elementor_rendered_image($settings, 'layout_one_shape_two'); ?>
        </div><!-- /.funfact-shape -->
        <div class="container">
            <div class="row">
                <div class="col-lg-6 wow fadeInUp" data-wow-delay="200ms">
                    <div class="funfact-two__content">
                        <div class="sec-title">
                            <?php solox_elementor_rendered_image($settings, 'layout_one_image', 'sec-title__img'); ?>
                            <?php
                            if (!empty($settings['layout_one_subtitle'])) :
                                $this->add_inline_editing_attributes('layout_one_subtitle', 'none');
                                solox_elementor_rendered_content($this, 'layout_one_subtitle', 'sec-title__tagline', $settings['section_sub_title_tag_layout_one']);
                            endif;

                            if (!empty($settings['layout_one_title'])) :
                                $this->add_inline_editing_attributes('layout_one_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_one_title', 'sec-title__title', $settings['section_title_tag_layout_one']);
                            endif;
                            ?>
                        </div><!-- /.sec-title -->
                        <?php if (!empty($settings['layout_one_button_url']['url'])) : ?>
                            <a href="<?php echo esc_url($settings['layout_one_button_url']['url']); ?>" <?php esc_attr(!empty($settings['layout_one_button_url']['is_external']) ? "target=_blank" : ' '); ?> class="solox-btn">
                                <span><?php echo esc_html($settings['layout_one_button_label']); ?></span>
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-lg-6 wow fadeInUp" data-wow-delay="300ms">
                    <ul class="list-unstyled funfact-two__list">
                        <?php
                        foreach ($settings['funfact_list'] as $index => $item) :
                        ?>
                            <li class="funfact-two__item count-box">
                                <h3 class="funfact-two__count count-text" data-stop="<?php echo esc_attr($item['number']); ?>" data-speed="1500"></h3>
                                <!-- /.funfact-two__count -->
                                <p class="funfact-two__text"><?php echo wp_kses($item['title'], 'solox_allowed_tags'); ?></p><!-- /.funfact-two__text -->
                            </li><!-- /.funfact-two__item -->
                        <?php endforeach; ?>
                        <li class="funfact-two__list__icon">
                            <?php solox_elementor_rendered_image($settings, 'layout_one_shape_three', 'sec-title__img'); ?>
                        </li>
                    </ul><!-- /.list-unstyled funfact-two__list -->
                </div>
            </div>
        </div><!-- /.container -->
    </section><!-- /.funfact-two -->
<?php endif; ?>