<?php if ('layout_one' === $settings['layout_type']) : ?>

    <section class="package-page">
        <div class="container">
            <div class="row gutter-y-30">
                <?php foreach ($settings['package_list'] as $index => $item) :  ?>
                    <div class="col-md-6 col-lg-4 wow fadeInUp" data-wow-duration="1500ms" data-wow-delay="000ms">
                        <div class="package-card">
                            <div class="package-card__image">
                                <?php solox_elementor_rendered_image($item, 'image'); ?>
                                <?php if (!empty($item['url']['url'])) : ?>
                                    <a href="<?php echo esc_url($item['url']['url']); ?>" class="package-card__image__link"></a>
                                <?php endif; ?>
                            </div><!-- /.package-card__image -->
                            <div class="package-card__content" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
                                <div class="package-card__price"><?php echo wp_kses($item['price'], 'solox_allowed_tags'); ?></div><!-- /.package-card__price -->
                                <<?php echo esc_attr($item['package_title_tag_layout_one']); ?> class="package-card__title">
                                    <a href="<?php echo esc_url($item['url']['url']); ?>"><?php echo wp_kses($item['title'], 'solox_allowed_tags'); ?></a>
                                </<?php echo esc_attr($item['package_title_tag_layout_one']); ?>><!-- /.package-card__title -->
                                <?php solox_elementor_rendered_image($item, 'title_shape', 'package-card__content__shape'); ?>
                                <p class="package-card__text"><?php echo wp_kses($item['subtitle'], 'solox_allowed_tags'); ?></p><!-- /.package-card__text -->
                                <?php if (!empty($item['url']['url'])) : ?>
                                    <a href="<?php echo esc_url($item['url']['url']); ?>" class="package-card__link">
                                        <?php echo wp_kses($item['button_label'], 'solox_allowed_tags'); ?>
                                        <?php \Elementor\Icons_Manager::render_icon($item['button_icon'], ['aria-hidden' => 'true', 'class' => ' '], 'span'); ?>
                                    </a><!-- /.blog-card__link -->
                                <?php endif; ?>
                            </div><!-- /.package-card__content -->
                        </div><!-- /.package-card -->
                    </div><!-- /.col-md-6 col-lg-4 -->
                <?php endforeach; ?>
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.package-page -->

    <!--Testimonial End One -->


<?php endif; ?>