<?php if ('layout_one' == $settings['layout_type']) : ?>
    <!-- Pricing Start -->
    <section class="membership-one">
        <div class="container">
            <div class="sec-title">
                <?php solox_elementor_rendered_image($settings, 'layout_one_title_image', 'sec-title__img'); ?>
                <?php
                if (!empty($settings['sec_sub_title'])) :
                    $this->add_inline_editing_attributes('sec_sub_title', 'none');
                    solox_elementor_rendered_content($this, 'sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_one']);
                endif;

                if (!empty($settings['sec_title'])) :
                    $this->add_inline_editing_attributes('sec_title', 'none');
                    solox_elementor_rendered_content($this, 'sec_title', 'sec-title__title', $settings['section_title_tag_layout_one']);
                endif;
                ?>
            </div><!-- /.sec-title -->

            <div class="tabs-box">
                <div class="text-center">
                    <ul class="list-unstyled tab-buttons membership-one__tab__list">
                        <li data-tab="#monthly" class="tab-btn "><span><?php echo wp_kses($settings['monthly_heading'], 'solox_allowed_tags'); ?></span></li>
                        <li data-tab="#yearly" class="tab-btn active-btn"><span><?php echo wp_kses($settings['yearly_heading'], 'solox_allowed_tags'); ?></span></li>
                    </ul><!-- /.list-unstyledf -->
                </div><!-- /.text-center -->
                <div class="tabs-content">
                    <div class="tab  fadeInUp animated" id="monthly">
                        <div class="row gutter-y-30">
                            <?php foreach ($settings['pricing_monthly_list'] as $index => $item) :  ?>
                                <div class="col-md-12 col-lg-4">
                                    <div class="membership-one__card text-center" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
                                        <h3 class="membership-one__card__price"><?php echo wp_kses($item['price'], 'solox_allowed_tags'); ?></h3><!-- /.membership-one__card__price -->
                                        <h4 class="membership-one__card__tagline"><?php echo wp_kses($item['plan_title'], 'solox_allowed_tags'); ?></h4>
                                        <!-- /.membership-one__card__tagline -->
                                        <?php solox_elementor_rendered_image($item, 'image', 'membership-one__card__image'); ?>
                                        <p class="membership-one__card__text"><?php echo wp_kses($item['service_title_text'], 'solox_allowed_tags'); ?></p>
                                        <!-- /.membership-one__card__text -->
                                        <ul class="list-unstyled membership-one__card__list">
                                            <?php echo wp_kses($item['service_list'], 'solox_allowed_tags'); ?>
                                        </ul><!-- /.list-unstyled membership-one__card__list -->
                                        <?php if (!empty($item['button_label'])) : ?>
                                            <a href="<?php echo esc_url($item['url']['url']); ?>" <?php esc_attr(!empty($item['url']['is_external']) ? "target=_blank" : ' '); ?> class="solox-btn solox-btn--black membership-one__card__link">
                                                <span><?php echo esc_html($item['button_label']); ?></span>
                                            </a>
                                        <?php endif; ?>
                                    </div><!-- /.membership-one__card -->
                                </div><!-- /.col-md-12 col-lg-4 -->
                            <?php endforeach; ?>
                        </div><!-- /.row -->
                    </div>
                    <div class="tab active-tab fadeInUp animated" id="yearly">
                        <div class="row gutter-y-30">
                            <?php foreach ($settings['pricing_yearly_list'] as $index => $item) :  ?>
                                <div class="col-md-12 col-lg-4">
                                    <div class="membership-one__card text-center" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
                                        <h3 class="membership-one__card__price"><?php echo wp_kses($item['price'], 'solox_allowed_tags'); ?></h3><!-- /.membership-one__card__price -->
                                        <h4 class="membership-one__card__tagline"><?php echo wp_kses($item['plan_title'], 'solox_allowed_tags'); ?></h4>
                                        <!-- /.membership-one__card__tagline -->
                                        <?php solox_elementor_rendered_image($item, 'image', 'membership-one__card__image'); ?>
                                        <p class="membership-one__card__text"><?php echo wp_kses($item['service_title_text'], 'solox_allowed_tags'); ?></p>
                                        <!-- /.membership-one__card__text -->
                                        <ul class="list-unstyled membership-one__card__list">
                                            <?php echo wp_kses($item['service_list'], 'solox_allowed_tags'); ?>
                                        </ul><!-- /.list-unstyled membership-one__card__list -->
                                        <?php if (!empty($item['button_label'])) : ?>
                                            <a href="<?php echo esc_url($item['url']['url']); ?>" <?php esc_attr(!empty($item['url']['is_external']) ? "target=_blank" : ' '); ?> class="solox-btn solox-btn--black membership-one__card__link">
                                                <span><?php echo esc_html($item['button_label']); ?></span>
                                            </a>
                                        <?php endif; ?>
                                    </div><!-- /.membership-one__card -->
                                </div><!-- /.col-md-12 col-lg-4 -->
                            <?php endforeach; ?>
                        </div><!-- /.row -->
                    </div>
                </div><!-- /.tabs-content -->
            </div><!-- /.tabs-box -->
        </div><!-- /.container -->
    </section><!-- /.membership-one -->

    <!-- Pricing Start -->
<?php endif; ?>