<?php if ('layout_four' === $settings['layout_type']) : ?>
	<!-- Service Four Start -->
	<section class="service-page service-page--home" style="background-image: url(<?php echo esc_url($settings['layout_four_bg_shape']['url']); ?>);">
		<div class="container">
			<?php if (!empty($settings['layout_four_sec_sub_title'] || $settings['layout_four_sec_title'])) : ?>
				<div class="sec-title">
					<?php solox_elementor_rendered_image($settings, 'layout_four_title_image', 'sec-title__img'); ?>
					<?php
					if (!empty($settings['layout_four_sec_sub_title'])) :
						$this->add_inline_editing_attributes('layout_four_sec_sub_title', 'none');
						solox_elementor_rendered_content($this, 'layout_four_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_four']);
					endif;

					if (!empty($settings['layout_four_sec_title'])) :
						$this->add_inline_editing_attributes('layout_four_sec_title', 'none');
						solox_elementor_rendered_content($this, 'layout_four_sec_title', 'sec-title__title', $settings['section_title_tag_layout_four']);
					endif;
					?>
				</div><!-- /.sec-title -->
			<?php endif; ?>
			<div class="service-card-two__carousel solox-owl__carousel solox-owl__carousel--with-shadow solox-owl__carousel--basic-nav owl-carousel owl-theme" data-owl-options='<?php echo esc_attr(solox_get_owl_options($settings)); ?>'>
				<?php
				$i = 1;
				foreach ($settings['service_list_four'] as $index => $item) :
				?>
					<div class="item">
						<div class="service-card-two wow fadeInUp" data-wow-duration="1500ms" data-wow-delay="000ms" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
							<div class="service-card-two__image">
								<?php solox_elementor_rendered_image($item, 'image'); ?>
								<div class="service-card-two__icon">
									<?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
								</div><!-- /.service-card-two__price -->
							</div><!-- /.service-card-two__image -->
							<div class="service-card-two__content">
								<<?php echo esc_attr($item['service_title_tag_layout_four']); ?> class="service-card-two__title">
									<a href="<?php echo esc_url($item['url']['url']); ?>"><?php echo wp_kses($item['title'], 'solox_allowed_tags'); ?></a>
								</<?php echo esc_attr($item['service_title_tag_layout_four']); ?>><!-- /.service-card-two__title -->
								<?php solox_elementor_rendered_image($item, 'title_shape', 'service-card-two__content__shape'); ?>
								<p class="service-card-two__text"><?php echo wp_kses($item['subtitle'], 'solox_allowed_tags'); ?></p><!-- /.service-card-two__text -->
								<?php if (!empty($item['url']['url'])) : ?>
									<a href="<?php echo esc_url($item['url']['url']); ?>" class="service-card-two__link">
										<?php echo wp_kses($item['button_label'], 'solox_allowed_tags'); ?>
										<?php \Elementor\Icons_Manager::render_icon($item['button_icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
									</a><!-- /.blog-card__link -->
								<?php endif; ?>
							</div><!-- /.service-card-two__content -->
						</div><!-- /.service-card-two -->
					</div><!-- /.item -->
				<?php $i++;
				endforeach; ?>
			</div><!-- /.row -->
		</div><!-- /.container -->
	</section><!-- /.service-page -->

	<!-- Service Four End -->
<?php endif; ?>