<?php if ('layout_two' === $settings['layout_type']) : ?>

	<!-- Service Two Start -->
	<section class="service-one service-one--page">
		<?php if (!empty($settings['layout_two_bac_image']['url'])) : ?>
			<div class="service-one__bg" style="background-image: url(<?php echo esc_url($settings['layout_two_bac_image']['url']); ?>);"></div>
		<?php endif; ?>
		<div class="container">
			<?php if (!empty($settings['layout_two_sec_sub_title'] || $settings['layout_two_sec_title'])) : ?>
				<div class="row">
					<div class="col-md-12">
						<div class="sec-title">
							<?php solox_elementor_rendered_image($settings, 'layout_two_title_image', 'sec-title__img'); ?>
							<?php
							if (!empty($settings['layout_two_sec_sub_title'])) :
								$this->add_inline_editing_attributes('layout_two_sec_sub_title', 'none');
								solox_elementor_rendered_content($this, 'layout_two_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_two']);
							endif;

							if (!empty($settings['layout_two_sec_title'])) :
								$this->add_inline_editing_attributes('layout_two_sec_title', 'none');
								solox_elementor_rendered_content($this, 'layout_two_sec_title', 'sec-title__title', $settings['section_title_tag_layout_two']);
							endif;
							?>
						</div><!-- /.sec-title -->
						<!-- section-title -->
					</div>
				</div>
			<?php endif; ?>
			<div class="row">
				<?php
				$i = 1;
				foreach ($settings['layout_two_service_items'] as $index => $item) :
				?>
					<div class="col-lg-3 col-md-6 wow fadeInUp" data-wow-delay="<?php echo esc_attr($index + 1); ?>00ms">
						<div class="service-one__item text-center" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
							<div class="service-one__item__wrapper">
								<div class="service-one__item__hover" style="background-image: url(<?php echo esc_url($item['image']['url']); ?>);"></div>
								<div class="service-one__item__icon">
									<?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'span'); ?>
								</div><!-- /.service-icon -->
								<<?php echo esc_attr($item['service_title_tag_layout_two']); ?> class="service-one__item__title">
									<a href="<?php echo esc_url($item['url']['url']); ?>" <?php esc_attr(!empty($item['url']['is_external']) ? "target=_blank" : ' '); ?>><?php echo wp_kses($item['title'], 'solox_allowed_tags'); ?></a>
								</<?php echo esc_attr($item['service_title_tag_layout_two']); ?>><!-- /.service-title -->
							</div>
						</div><!-- /.service-card-one -->
					</div>
				<?php
				endforeach; ?>
			</div>
			<?php if (!empty($settings['layout_two_button_url']['url'] || $settings['layout_two_bottom_text'])) : ?>
				<div class="service-one__info">
					<?php
					if (!empty($settings['layout_two_bottom_text'])) :
						$this->add_inline_editing_attributes('layout_two_bottom_text', 'none');
						solox_elementor_rendered_content($this, 'layout_two_bottom_text', 'service-one__info__text', 'p');
					endif;
					?>
					<a href="<?php echo esc_url($settings['layout_two_button_url']['url']); ?>" <?php esc_attr(!empty($settings['layout_two_button_url']['is_external']) ? "target=_blank" : ' '); ?> class="solox-btn solox-btn--base"><span><?php echo wp_kses($settings['layout_two_button_label'], 'solox_allowed_tags'); ?></span></a>
				</div>
			<?php endif; ?>
		</div>
	</section>
	<!-- Service Two End -->

<?php endif; ?>