<?php if ('layout_one' === $settings['layout_type']) : ?>

    <!-- Products Start -->
    <section class="product-one product-one--home">
        <div class="container">
            <div class="sec-title">
                <?php solox_elementor_rendered_image($settings, 'layout_one_title_image', 'sec-title__img'); ?>
                <?php
                if (!empty($settings['layout_one_sec_sub_title'])) :
                    $this->add_inline_editing_attributes('layout_one_sec_sub_title', 'none');
                    solox_elementor_rendered_content($this, 'layout_one_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_one']);
                endif;

                if (!empty($settings['layout_one_sec_title'])) :
                    $this->add_inline_editing_attributes('layout_one_sec_title', 'none');
                    solox_elementor_rendered_content($this, 'layout_one_sec_title', 'sec-title__title', $settings['section_title_tag_layout_one']);
                endif;
                ?>
            </div><!-- /.sec-title -->
            <div class="row">
                <?php
                if (!empty($settings['select_category'])) :
                    $shop_post_query = new \WP_Query(array(
                        'post_type' => 'product',
                        'posts_per_page' => $settings['post_count']['size'],
                        'orderby' => 'menu_order title',
                        'order'   => $settings['query_order'],
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'product_cat',
                                'field' => 'slug',
                                'terms' => $settings['select_category']
                            )
                        )
                    ));

                else :

                    $shop_post_query = new \WP_Query(array(
                        'post_type' => 'product',
                        'posts_per_page' => $settings['post_count']['size'],
                        'orderby' => 'menu_order title',
                        'order'   => $settings['query_order'],
                    ));

                endif;
                $i = 1;
                while ($shop_post_query->have_posts()) :
                    $shop_post_query->the_post();
                    global $product;

                    $currency_symbol = get_woocommerce_currency_symbol();
                    $discount_price = get_post_meta(get_the_ID(), '_price', true);
                    $regular_price = get_post_meta(get_the_ID(), '_regular_price', true);
                ?>
                    <div class="col-md-6 col-lg-3">
                        <div class="product product__item wow fadeInUp" data-wow-duration='1500ms' data-wow-delay='000ms'>
                            <div class="product__item__img">
                                <?php the_post_thumbnail('solox_woog_270X280'); ?>
                                <div class="product__item__btn">
                                    <?php
                                    if (class_exists('WPCleverWoosw')) {
                                        echo do_shortcode('[woosw]');
                                    }
                                    ?>

                                    <?php
                                    if (class_exists('WPCleverWoosq')) {
                                        echo do_shortcode('[woosq]');
                                    }
                                    ?>
                                </div>
                            </div><!-- /.product-image -->
                            <div class="product__item__content">
                                <div class="product__item__ratings">
                                    <?php echo woocommerce_template_loop_rating(); ?>
                                </div><!-- /.product-ratings -->
                                <h4 class="product__item__title">
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h4><!-- /.product-title -->
                                <div class="product__item__price"><?php echo woocommerce_template_loop_price(); ?></div><!-- /.product-price -->
                                <?php
                                $solox_ajax_cart_class = (get_option('woocommerce_enable_ajax_add_to_cart') == 'yes' ? 'solox_ajax' : '');
                                if ($product->is_type('variable')) {

                                    echo sprintf(
                                        '<a href="%s" class="%s">%s</a>',
                                        esc_url($product->add_to_cart_url()),
                                        esc_attr(implode(' ', array_filter(array(
                                            'button', 'product_type_' . $product->get_type(),
                                            'product__all-btn add_to_cart_button thm-btn'
                                        )))),
                                        esc_html($product->add_to_cart_text())
                                    );
                                } else {
                                    echo sprintf(
                                        '<a href="%s" data-quantity="1" class="%s" %s>%s</a>',
                                        esc_url($product->add_to_cart_url()),
                                        esc_attr(implode(' ', array_filter(array(
                                            'button', 'product_type_' . $product->get_type(),
                                            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                                            $product->supports('ajax_add_to_cart') ? 'thm-btn product__all-btn add_to_cart_button ajax_add_to_cart' : 'thm-btn shop-one__cart add_to_cart_button ',
                                            $solox_ajax_cart_class
                                        )))),
                                        wc_implode_html_attributes(array(
                                            'data-product_id'  => $product->get_id(),
                                            'data-product_sku' => $product->get_sku(),
                                            'aria-label'       => $product->add_to_cart_description(),
                                            'rel'              => 'nofollow',
                                        )),
                                        esc_html($product->add_to_cart_text())
                                    );
                                }
                                ?>
                            </div><!-- /.product-content -->
                        </div><!-- /.product-item -->
                    </div><!-- /.col-md-6 col-lg-4 -->
                <?php $i++;
                endwhile;
                wp_reset_postdata(); ?>
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /.product-one -->



    <!-- Products End -->
<?php endif; ?>