<?php if ('layout_three' == $settings['layout_type']) : ?>
	<!-- team-details-start -->
	<section class="team-details">
		<div class="container">
			<div class="team-details__inner">
				<div class="row gutter-y-60">
					<div class="col-lg-6">
						<div class="team-details__image">
							<?php solox_elementor_rendered_image($settings, 'layout_three_image'); ?>
							<div class="team-details__icon wow fadeInLeft" data-wow-duration="1500ms">
								<?php \Elementor\Icons_Manager::render_icon($settings['layout_three_image_icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
								<?php
								if (!empty($settings['layout_three_image_title'])) :
									$this->add_inline_editing_attributes('layout_three_image_title', 'none');
									solox_elementor_rendered_content($this, 'layout_three_image_title', 'team-details__icon__text', 'h4');
								endif;
								?>
							</div><!-- /.team-details__icon -->
						</div><!-- /.team-details__image -->
					</div><!-- /.col-lg-6 -->
					<div class="col-lg-6">
						<div class="team-details__content">
							<?php
							if (!empty($settings['layout_three_title'])) :
								$this->add_inline_editing_attributes('layout_three_title', 'none');
								solox_elementor_rendered_content($this, 'layout_three_title', 'team-details__title', $settings['title_tag_layout_three']);
							endif;
							?>
							<div class="team-details__designation"><?php echo wp_kses($settings['layout_three_subtitle'], 'solox_allowed_tags'); ?></div>
							<!-- /.team-details__designation -->
							<div class="team-details__social">
								<?php foreach ($settings['layout_three_social'] as $social_icon) : ?>
									<a <?php echo esc_attr(!empty($social_icon['social_url']['is_external']) ? 'target=_blank' : ' '); ?> href="<?php echo esc_url($social_icon['social_url']['url']); ?>">
										<?php \Elementor\Icons_Manager::render_icon($social_icon['social_icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
									</a>
								<?php endforeach; ?>
							</div><!-- /.team-details__social -->
							<div class="team-details__text"><?php echo wp_kses($settings['layout_three_summary'], 'solox_allowed_tags'); ?>
							</div>
							<!-- /.team-details__text -->
							<div class="team-details__highlight"><?php echo wp_kses($settings['layout_three_feature_title'], 'solox_allowed_tags'); ?></div>
							<!-- /.team-details__highlight -->
							<ul class="list-unstyled team-details__list ml-0">
								<?php foreach ($settings['layout_three_features_list'] as $index => $item) : ?>
									<li>
										<?php \Elementor\Icons_Manager::render_icon($item['icon'], ['aria-hidden' => 'true', 'class' => ' '], 'i'); ?>
										<?php echo esc_html($item['title']); ?>
									</li>
								<?php endforeach; ?>
							</ul><!-- /.list-unstyled team-details__list -->
						</div><!-- /.team-details__content -->
					</div><!-- /.col-lg-6 -->
				</div><!-- /.row -->
			</div><!-- /.team-details__inner -->
		</div><!-- /.container -->
	</section><!-- /.team-details -->
	<section class="team-skills-one">
		<div class="container">
			<div class="row align-items-center gutter-y-30">
				<div class="col-md-6 col-lg-6">
					<div class="team-skills-one__content">
						<?php
						if (!empty($settings['layout_three_experience_title'])) :
							$this->add_inline_editing_attributes('layout_three_experience_title', 'none');
							solox_elementor_rendered_content($this, 'layout_three_experience_title', 'team-skills-one__title', 'h3');
						endif;

						if (!empty($settings['layout_three_experience_subtitle'])) :
							$this->add_inline_editing_attributes('layout_three_experience_subtitle', 'none');
							solox_elementor_rendered_content($this, 'layout_three_experience_subtitle', 'team-skills-one__text', 'p');
						endif;
						?>
					</div><!-- /.team-skills-one__content -->
				</div><!-- /.col-md-6 -->
				<div class="col-md-6 col-lg-6">
					<?php foreach ($settings['layout_three_progressbar_list'] as $index => $item) : ?>
						<div class="team-skills-one__progress">
							<h4 class="team-skills-one__progress__title"><?php echo esc_html($item['title']); ?></h4>
							<div class="team-skills-one__progress__bar">
								<div class="team-skills-one__progress__inner count-bar" data-percent="<?php echo esc_attr($item['progressbar_count']['size']); ?>%">
									<div class="team-skills-one__progress__number count-text"><?php echo esc_html($item['progressbar_count']['size']); ?>%</div>
								</div>
							</div>
						</div><!-- /.skills-item -->
					<?php endforeach; ?>
				</div><!-- /.col-md-6 -->
			</div><!-- /.row -->
		</div><!-- /.container -->
	</section><!-- /.team-skills-one -->

	<!-- team-details-End -->
<?php endif; ?>