<?php if ('layout_three' === $settings['layout_type']) : ?>

    <!--Testimonial Three Start-->
    <section class="testimonials-one testimonials-one--home">
        <div class="container">
            <?php if (!empty($settings['layout_three_sec_sub_title'] || $settings['layout_three_sec_title'])) : ?>
                <div class="row">
                    <div class="col-lg-6">
                        <div class="sec-title">
                            <?php solox_elementor_rendered_image($settings, 'layout_three_title_image', 'sec-title__img'); ?>
                            <?php
                            if (!empty($settings['layout_three_sec_sub_title'])) :
                                $this->add_inline_editing_attributes('layout_three_sec_sub_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_three_sec_sub_title', 'sec-title__tagline', $settings['section_sub_title_tag_layout_three']);
                            endif;

                            if (!empty($settings['layout_three_sec_title'])) :
                                $this->add_inline_editing_attributes('layout_three_sec_title', 'none');
                                solox_elementor_rendered_content($this, 'layout_three_sec_title', 'sec-title__title', $settings['section_title_tag_layout_three']);
                            endif;
                            ?>
                        </div><!-- /.sec-title -->
                    </div>
                    <div class="col-lg-6">
                        <?php
                        if (!empty($settings['layout_three_sec_summary'])) :
                            $this->add_inline_editing_attributes('layout_three_sec_summary', 'none');
                            solox_elementor_rendered_content($this, 'layout_three_sec_summary', 'testimonials-one--home__text', 'p');
                        endif;
                        ?>
                    </div>
                </div>
            <?php endif; ?>
            <div class="testimonials-one__carousel solox-owl__carousel solox-owl__carousel--with-shadow solox-owl__carousel--basic-nav owl-carousel" data-owl-options='<?php echo esc_attr(solox_get_owl_options($settings)); ?>'>
                <?php foreach ($settings['layout_three_testimonial'] as $index => $item) :  ?>
                    <div class="item">
                        <div class="testimonials-card wow fadeInUp" data-wow-duration='1500ms' data-wow-delay='000ms'>
                            <div class="testimonials-card__inner" style="background-image: url(<?php echo esc_url($item['shape']['url']); ?>);">
                                <div class="testimonials-card__top">
                                    <div class="testimonials-card__image">
                                        <?php solox_elementor_rendered_image($item, 'image'); ?>
                                    </div><!-- /.testimonials-card__image -->
                                    <div class="testimonials-card__top__left">
                                        <div class="testimonials-card__rating">
                                            <?php for ($i = 0; $i < $item['rating']['size']; $i++) : ?>
                                                <i class="fa fa-star"></i>
                                            <?php endfor; ?>
                                        </div><!-- /.testimonials-card__rating -->
                                        <<?php echo esc_attr($item['testimonial_name_tag_layout_one']); ?> class="testimonials-card__name">
                                            <?php echo wp_kses($item['name'], 'solox_allowed_tags'); ?>
                                        </<?php echo esc_attr($item['testimonial_name_tag_layout_one']); ?>><!-- /.testimonials-card__name -->
                                        <p class="testimonials-card__designation"><?php echo wp_kses($item['designation'], 'solox_allowed_tags'); ?></p><!-- /.testimonials-card__designation -->
                                    </div><!-- /.testimonials-card__top__left -->
                                </div><!-- /.testimonials-card__top -->
                                <div class="testimonials-card__content">
                                    <?php echo wp_kses($item['testimonial'], 'solox_allowed_tags'); ?>
                                </div><!-- /.testimonials-card__content -->
                            </div><!-- /.testimonials-card__inner -->
                        </div><!-- /.testimonials-card -->
                    </div><!-- /.item -->
                <?php endforeach; ?>
            </div><!-- /.testimonials-one__carousel -->
        </div><!-- /.container -->
    </section><!-- /.testimonials-one -->
    <!--Testimonial Three End-->
<?php endif; ?>