<?php

namespace Layerdrops\Solox\Widgets;


class Award extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'solox-award';
	}

	public function get_title()
	{
		return __('Award', 'solox-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['solox-category'];
	}

	protected function register_controls()
	{
		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'solox-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'solox-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'solox-addon'),
				]
			]
		);

		$this->end_controls_section();

		include solox_get_elementor_option('award-one-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'solox-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		solox_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .awards-one__title', ['layout_one']);
		solox_elementor_general_style_options($this, 'Year', '{{WRAPPER}} .awards-one__year', ['layout_one']);
		solox_elementor_general_style_options($this, 'Summary', '{{WRAPPER}} .awards-one__text', ['layout_one']);

		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include solox_get_template('award-one.php');
	}
}
