<?php

namespace Layerdrops\Solox\Widgets;


class Faq extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'solox-faq';
	}

	public function get_title()
	{
		return __('FAQ', 'solox-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['solox-category'];
	}

	protected function register_controls()
	{

		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'solox-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'solox-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'solox-addon'),
					'layout_two' => __('Layout Two', 'solox-addon'),
				]
			]
		);

		$this->end_controls_section();

		include solox_get_elementor_option('faq-one-option.php');
		include solox_get_elementor_option('faq-two-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'solox-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		solox_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .faq-page__contact__title,{{WRAPPER}} .sec-title__tagline', ['layout_one', 'layout_two']);
		solox_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .faq-page__contact__title,{{WRAPPER}} .sec-title__title', ['layout_one', 'layout_two']);
		solox_elementor_general_style_options($this, 'Contact Info', '{{WRAPPER}} .faq-page__contact__number', ['layout_one']);

		solox_elementor_general_style_options($this, 'Author Title', '{{WRAPPER}} .faq-one__content__author__title', ['layout_two']);
		solox_elementor_general_style_options($this, 'Author Sub Title', '{{WRAPPER}} .faq-one__content__author__text', ['layout_two']);

		solox_elementor_general_style_options($this, 'Question', '{{WRAPPER}} .faq-page__accordion .accrodion-title h4', ['layout_one', 'layout_two']);
		solox_elementor_general_style_options($this, 'Answer', '{{WRAPPER}} .faq-page__accordion .accrodion-content p', ['layout_one', 'layout_two']);


		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include solox_get_template('faq-one.php');
		include solox_get_template('faq-two.php');
	}
}
