<?php

namespace Layerdrops\Solox\Widgets;


class Funfact extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-funfact';
    }

    public function get_title()
    {
        return __('Funfact', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include solox_get_elementor_option('funfact-one-option.php');
        include solox_get_elementor_option('funfact-two-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title', ['layout_one']);
        solox_elementor_general_style_options($this, 'Section Subtitle', '{{WRAPPER}} .sec-title__tagline', ['layout_one']);

        solox_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .funfact-two__text,{{WRAPPER}} .funfact-three__text', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Number', '{{WRAPPER}} .funfact-two__count,{{WRAPPER}} .funfact-three__count', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        //Button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .solox-btn::before', '{{WRAPPER}} .solox-btn::after', ['layout_one']);

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('funfact-one.php');
        include solox_get_template('funfact-two.php');
    }
}
