<?php

namespace Layerdrops\Solox\Widgets;


class Gallery extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-gallery';
    }

    public function get_title()
    {
        return __('Gallery', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                    'layout_three' => __('Layout Three', 'solox-addon'),
                    'layout_four' => __('Layout Four', 'solox-addon'),
                    'layout_five' => __('Layout Five', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include solox_get_elementor_option('gallery-one-option.php');
        include solox_get_elementor_option('gallery-two-option.php');
        include solox_get_elementor_option('gallery-three-option.php');
        include solox_get_elementor_option('gallery-four-option.php');
        include solox_get_elementor_option('gallery-five-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Gallery Title', '{{WRAPPER}} .gallery-two__info__title', ['layout_five']);

        $this->end_controls_section();

        solox_get_elementor_carousel_options($this, ['layout_three']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('gallery-one.php');
        include solox_get_template('gallery-two.php');
        include solox_get_template('gallery-three.php');
        include solox_get_template('gallery-four.php');
        include solox_get_template('gallery-five.php');
    }
}
