<?php

namespace Layerdrops\Solox\Widgets;


class Package extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-package';
    }

    public function get_title()
    {
        return __('Package', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {


        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include solox_get_elementor_option('package-one-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );


        solox_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .package-card__title a', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Subtitle', '{{WRAPPER}} .package-card__text', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Price', '{{WRAPPER}} .package-card__price', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .package-card__link', '{{WRAPPER}} .package-card__link:hover', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        solox_get_elementor_carousel_options($this, ['layout_two']);
        solox_elementor_column_count_options($this, ['layout_one']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('package-one.php');
        include solox_get_template('package-two.php');
    }
}
