<?php

namespace Layerdrops\Solox\Widgets;


class Pagination extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-pagination';
    }

    public function get_title()
    {
        return __('Pagination', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                ]
            ]
        );


        $this->end_controls_section();

        include solox_get_elementor_option('pagination-one-option.php');


        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Prev/Next Text', '{{WRAPPER}} .portfolio-details__pagination__previous span, {{WRAPPER}} .portfolio-details__pagination__next span', ['layout_one']);
        solox_elementor_general_style_options($this, 'Project Text', '{{WRAPPER}} .portfolio-details__pagination__previous,{{WRAPPER}} .portfolio-details__pagination__next', ['layout_one']);

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();

        include solox_get_template('pagination-one.php');
    }
}
