<?php

namespace Layerdrops\Solox\Widgets;


class Pricing extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-pricing';
    }

    public function get_title()
    {
        return __('Membership', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                ]
            ]
        );


        $this->end_controls_section();

        include solox_get_elementor_option('pricing-one-option.php');
        include solox_get_elementor_option('pricing-two-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title__tagline', ['layout_one', 'layout_two']);

        solox_elementor_general_style_options($this, 'Heading', '{{WRAPPER}} .pricing-one .pricing-one__main-tab-box .tab-buttons .tab-btn span', ['layout_one']);
        solox_elementor_general_style_options($this, 'Active Heading', '{{WRAPPER}} .pricing-one .pricing-one__main-tab-box .tab-buttons .tab-btn.active-btn span', ['layout_one']);

        solox_elementor_general_style_options($this, 'Plan Title', '{{WRAPPER}} .membership-two-card__title a', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Plan Sub Title', '{{WRAPPER}} .membership-two-card__text', ['layout_two']);
        solox_elementor_general_style_options($this, 'Plan Type', '{{WRAPPER}} .pricing-one .pricing-one__item__name', ['layout_one']);
        solox_elementor_general_style_options($this, 'Price', '{{WRAPPER}} .membership-two-card__price', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Service Title', '{{WRAPPER}} .pricing-one .pricing-one__item__list-title', ['layout_one']);
        solox_elementor_general_style_options($this, 'Service List', '{{WRAPPER}} .pricing-one .pricing-one__item__list li', ['layout_one']);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                'condition' => [
                    'layout_type' => ['layout_one']
                ]
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .solox-btn', '{{WRAPPER}} .solox-btn:hover', ['layout_one', 'layout_two', 'layout_three']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('pricing-one.php');
        include solox_get_template('pricing-two.php');
    }
}
