<?php

namespace Layerdrops\Solox\Widgets;


class ServiceAppointment extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-service-appointment';
    }

    public function get_title()
    {
        return __('Service Appointment', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include  solox_get_elementor_option('service-appoinment-one-option.php');

        //style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Style Options', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .service-details__info__title', ['layout_one']);
        solox_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .service-details__info__list__space', ['layout_one']);
        solox_elementor_general_style_options($this, 'Date', '{{WRAPPER}} .service-details__info__list__date', ['layout_one']);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .solox-btn::before', '{{WRAPPER}} .solox-btn--base::after', ['layout_one', 'layout_two', 'layout_three']);

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('service-appoinment-one.php');
    }
}
