<?php

namespace Layerdrops\Solox\Widgets;


class Shop extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-shop';
    }

    public function get_title()
    {
        return __('Shop', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include  solox_get_elementor_option('shop-option.php');
        include  solox_get_elementor_option('shop-option-two.php');


        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title', ['layout_one']);
        solox_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title__tagline', ['layout_one']);

        solox_elementor_general_style_options($this, 'Product Title', '{{WRAPPER}} .product__item__title a', ['layout_one']);
        solox_elementor_general_style_options($this, 'Product Price', '{{WRAPPER}} .product__item__price', ['layout_one']);

        $this->end_controls_section();

        //Button Style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .product__item .thm-btn', '{{WRAPPER}} .thm-btn::before', ['layout_one']);

        $this->end_controls_section();

        solox_get_elementor_carousel_options($this, ['layout_two']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('shop-one.php');
        include solox_get_template('shop-two.php');
    }
}
