<?php

namespace Layerdrops\Solox\Widgets;


class SidebarCallToAction extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-sidebar-call-to-action';
    }

    public function get_title()
    {
        return __('Sidebar Call To Action', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    // 'layout_two' => __('Layout Two', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include solox_get_elementor_option('sidebar-call-action-option.php');
        // include solox_get_elementor_option('sidebar-call-action-two-option.php');

        //style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Style Options', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .service-sidebar__contact__title', ['layout_one']);
        solox_elementor_general_style_options($this, 'Contact', '{{WRAPPER}} .service-sidebar__contact__number', ['layout_one']);

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('sidebar-call-action-one.php');
        // include solox_get_template('sidebar-call-action-two.php');
    }
}
