<?php

namespace Layerdrops\Solox\Widgets;


class Video extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'solox-video';
    }

    public function get_title()
    {
        return __('Video', 'solox-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['solox-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'solox-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'solox-addon'),
                    'layout_two' => __('Layout Two', 'solox-addon'),
                    // 'layout_three' => __('Layout Three', 'solox-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include solox_get_elementor_option('video-one-option.php');
        include solox_get_elementor_option('video-two-option.php');
        // include solox_get_elementor_option('video-three-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );


        solox_elementor_general_style_options($this, 'Video Title', '{{WRAPPER}} .video-one__title,{{WRAPPER}} .video-two__title', ['layout_one', 'layout_two']);
        solox_elementor_general_style_options($this, 'Video Rounded Text', '{{WRAPPER}} .curved-circle--item,{{WRAPPER}} .video-two__btn .curved-circle--item span', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'solox-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        solox_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .video-one__link::before,{{WRAPPER}} .solox-btn::before', '{{WRAPPER}} .solox-btn::after', ['layout_one', 'layout_two']);

        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include solox_get_template('video-one.php');
        include solox_get_template('video-two.php');
        // include solox_get_template('video-three.php');
    }
}
