<?php
// Exit if accessed directly
if (!defined('ABSPATH')) exit;


/**
 * Setup My Child Theme's textdomain.
 *
 * Declare textdomain for this child theme.
 * Translations can be filed in the /languages/ directory.
 */
function solox_child_theme_setup()
{
    load_child_theme_textdomain('solox-child', get_stylesheet_directory() . '/languages');
}
add_action('after_setup_theme', 'solox_child_theme_setup');

if (!function_exists('solox_child_thm_parent_css')) :
    function solox_child_thm_parent_css()
    {
        // loading parent styles
        wp_enqueue_style('solox-parent-style', get_template_directory_uri() . '/style.css', array('solox-fonts', 'solox-icons', 'bootstrap', 'fontawesome'));

        // loading child style based on parent style
        wp_enqueue_style('solox-style', get_stylesheet_directory_uri() . '/style.css', array('solox-parent-style'));
    }

endif;
add_action('wp_enqueue_scripts', 'solox_child_thm_parent_css');

// END ENQUEUE PARENT ACTION